# std::unary_negate< _Predicate > Class Template Reference
[Negators]

Inheritance diagram for std::unary_negate< _Predicate >:

List of all members.

## Detailed Description

### template<class _Predicate>
class std::unary_negate< _Predicate >

Definition at line 312 of file stl_function.h.

## Public Types

- typedef _Predicate::argument_type argument_type
- typedef bool result_type

## Public Member Functions

- bool operator() (const typename _Predicate::argument_type &__x) const
- unary_negate (const _Predicate &__x)

## Protected Attributes

- _Predicate _M_pred

## Member Typedef Documentation

typedef _Predicate::argument_type std::unary_function< _Predicate::argument_type , bool >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef bool std::unary_function< _Predicate::argument_type , bool >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h